# Class Signage#enableCheckScreen

Signage

- Defined in: signage.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Signage#enableCheckScreen(successCallback, errorCallback, options) Enables pixel sensor.

## Class Detail

Signage#enableCheckScreen(successCallback, errorCallback, options)

Enables pixel sensor.

    function enableCheckScreen() {

       var successCb = function (){
         console.log("Successfully enabled checkScreen");
       };

       var failureCb = function(cbObject){
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log( " Error Code [" + errorCode + "]: " + errorText);
       };

       var options = {
         checkScreen : true
       };

       var signage = new Signage();
       signage.enableCheckScreen(successCb, failureCb, options);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.
{Object} options

  Property | Type | Description | Required
  --- | --- | --- | ---
  checkScreen | Boolean | true : enabled / false : disabled | required

Since:
  1.3
Returns:

  If the method is successfully executed, success callback function is called without a parameter. If an error occurs, failure callback function is called with failure callback object as a parameter.

See:
  Signage.getSignageInfo()